Perform various operations on wire receiver FI information records.
Operations
getWireReceiverFiInfoSelectFields
POST
Retrieves wire receiver financial institution information with selected fields
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
WireSequenceNumberintegeroptionalWireReceiverFiInfoLocatorintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/persistent/wire/getWireReceiverFiInfoSelectFieldsPOST /nexum/627/persistent/wire/getWireReceiverFiInfoSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"WireSequenceNumber": 0,
"WireReceiverFiInfoLocator": 0,
"SelectableFields": {
"IncludeAllWireReceiverFiInfoFields": true,
"WireReceiverFiInfoFields": {
"Locator": true,
"Text": [
0
]
}
},
"nxAttributes": {
"customFields": {}
}
}getWireReceiverFiInfoPagedListSelectFields
POST
Retrieves a paged list of wire receiver financial institution information with selected fields
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
WireSequenceNumberintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalLoading fields…
POST
/nexum/{sym}/persistent/wire/getWireReceiverFiInfoPagedListSelectFieldsPOST /nexum/627/persistent/wire/getWireReceiverFiInfoPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"WireSequenceNumber": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllWireReceiverFiInfoFields": true,
"WireReceiverFiInfoFields": {
"Locator": true,
"Text": [
0
]
}
},
"nxAttributes": {
"customFields": {}
}
}searchWireReceiverFiInfoPagedSelectFields
POST
Searches for wire receiver financial institution information paged with selected fields
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
WireSequenceNumberintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalLoading fields…
POST
/nexum/{sym}/persistent/wire/searchWireReceiverFiInfoPagedSelectFieldsPOST /nexum/627/persistent/wire/searchWireReceiverFiInfoPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"WireSequenceNumber": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllWireReceiverFiInfoFields": true,
"WireReceiverFiInfoFields": {
"Locator": true,
"Text": [
0
]
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}updateWireReceiverFiInfoByID
POST
Updates receiver FI information for a wire by ID
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
WireSequenceNumberintegeroptionalWireReceiverFiInfoLocatorintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/persistent/wire/updateWireReceiverFiInfoByIDPOST /nexum/627/persistent/wire/updateWireReceiverFiInfoByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"WireSequenceNumber": 0,
"WireReceiverFiInfoLocator": 0,
"WireReceiverFiInfoFields": {
"Locator": 0,
"Text": [
{
"EntryId": 0,
"Text": "string"
}
]
},
"nxAttributes": {
"customFields": {}
}
}